--- old/usr/src/head/priv.h	2015-12-28 20:01:49.882419269 -0500
+++ new/usr/src/head/priv.h	2015-12-28 20:01:49.929611002 -0500
@@ -66,6 +66,7 @@
 
 extern void priv_emptyset(priv_set_t *);
 extern void priv_basicset(priv_set_t *);
+extern void priv_defaultset(priv_set_t *);
 extern void priv_fillset(priv_set_t *);
 extern boolean_t priv_isemptyset(const priv_set_t *);
 extern boolean_t priv_isfullset(const priv_set_t *);
--- old/usr/src/lib/libc/inc/priv_private.h	2015-12-28 20:01:53.313395428 -0500
+++ new/usr/src/lib/libc/inc/priv_private.h	2015-12-28 20:01:53.451621931 -0500
@@ -27,8 +27,6 @@
 #ifndef _PRIV_PRIVATE_H
 #define	_PRIV_PRIVATE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/priv.h>
 #include <limits.h>
@@ -93,6 +91,7 @@
 	int			*pd_setsort;
 	priv_impl_info_t 	*pd_pinfo;
 	priv_set_t		*pd_basicset;
+	priv_set_t		*pd_defaultset;
 	priv_set_t		*pd_zoneset;
 } priv_data_t;
 
@@ -114,6 +113,7 @@
 extern int getprivinfo(priv_impl_info_t *, size_t);
 
 extern priv_set_t *priv_basic(void);
+extern priv_set_t *priv_default(void);
 
 #ifdef __cplusplus
 }
--- old/usr/src/lib/libc/port/gen/priv_str_xlate.c	2015-12-28 20:01:58.528350202 -0500
+++ new/usr/src/lib/libc/port/gen/priv_str_xlate.c	2015-12-28 20:01:58.548287704 -0500
@@ -58,6 +58,16 @@
 	return (d->pd_basicset);
 }
 
+priv_set_t *
+priv_default(void)
+{
+	priv_data_t *d;
+
+	LOADPRIVDATA(d);
+
+	return (d->pd_defaultset);
+}
+
 /*
  *	Name:	priv_str_to_set()
  *
@@ -80,8 +90,9 @@
 	char *offset;
 	char *last;
 	priv_set_t *pset = NULL;
-	priv_set_t *zone;
-	priv_set_t *basic;
+	priv_set_t *zone = NULL;
+	priv_set_t *basic = NULL;
+	priv_set_t *deflt = NULL;
 
 	if (endptr != NULL)
 		*endptr = NULL;
@@ -95,6 +106,7 @@
 
 	priv_emptyset(pset);
 	basic = priv_basic();
+	deflt = priv_default();
 	zone = privdata->pd_zoneset;
 
 	/* This is how to use strtok_r nicely in a while loop ... */
@@ -106,6 +118,9 @@
 		 */
 		if (basic != NULL && strcasecmp(offset, "basic") == 0) {
 			priv_union(basic, pset);
+		} else if (deflt != NULL && strcasecmp(offset,
+		    "default") == 0) {
+			priv_union(deflt, pset);
 		} else if (strcasecmp(offset, "none") == 0) {
 			priv_emptyset(pset);
 		} else if (strcasecmp(offset, "all") == 0) {
--- old/usr/src/lib/libc/port/gen/privlib.c	2015-12-28 20:02:03.252246706 -0500
+++ new/usr/src/lib/libc/port/gen/privlib.c	2015-12-28 20:02:03.289514372 -0500
@@ -200,6 +200,9 @@
 		case PRIV_INFO_BASICPRIVS:
 			tmp->pd_basicset = (priv_set_t *)&st->set[0];
 			break;
+		case PRIV_INFO_DEFAULTPRIVS:
+			tmp->pd_defaultset = (priv_set_t *)&st->set[0];
+			break;
 		default:
 			/* unknown, ignore */
 			break;
@@ -496,6 +499,7 @@
 		return (-1);
 
 	/* Always add the basic set */
+	/* XXX: Always add the _default_ set? */
 	if (d->pd_basicset != NULL)
 		priv_union(d->pd_basicset, nset);
 
@@ -648,6 +652,7 @@
 	priv_copyset(nset, bracketpriv);
 
 	/* Always add the basic set */
+	/* XXX: Always add the default set? */
 	priv_union(priv_basic(), nset);
 
 	/* But don't add what we don't have */
@@ -875,6 +880,12 @@
 }
 
 void
+priv_defaultset(priv_set_t *set)
+{
+	priv_copyset(priv_default(), set);
+}
+
+void
 __priv_fillset(priv_data_t *d, priv_set_t *set)
 {
 	(void) memset(set, ~0, d->pd_setsize);
--- old/usr/src/lib/libc/port/mapfile-vers	2015-12-28 20:02:08.297043792 -0500
+++ new/usr/src/lib/libc/port/mapfile-vers	2015-12-28 20:02:08.325434059 -0500
@@ -93,6 +93,10 @@
 $add amd64
 $endif
 
+SYMBOL_VERSION ILLUMOS_0.20 {	# priv_defaultset
+	priv_defaultset;
+} ILLUMOS_0.19;
+
 SYMBOL_VERSION ILLUMOS_0.19 {	# flock
     protected:
 	flock;
--- old/usr/src/lib/pam_modules/unix_cred/unix_cred.c	2015-12-28 20:02:12.794865044 -0500
+++ new/usr/src/lib/pam_modules/unix_cred/unix_cred.c	2015-12-28 20:02:12.820780206 -0500
@@ -591,7 +591,7 @@
 			ret = PAM_SYSTEM_ERR;
 			goto out;
 		}
-		priv_basicset(def);
+		priv_defaultset(def);
 		errno = 0;
 		if ((pathconf("/", _PC_CHOWN_RESTRICTED) == -1) && (errno == 0))
 			(void) priv_addset(def, PRIV_FILE_CHOWN_SELF);
@@ -599,6 +599,8 @@
 	/*
 	 * Silently limit the privileges to those actually available
 	 * in the current zone.
+	 *
+	 * XXX: i think this applies to non-zone cases too, fix the comment.
 	 */
 	tset = priv_allocset();
 	if (tset == NULL) {
--- old/usr/src/man/man3c/Makefile	2015-12-28 20:02:17.982728908 -0500
+++ new/usr/src/man/man3c/Makefile	2015-12-28 20:02:18.004230507 -0500
@@ -985,6 +985,7 @@
 	 	priv_allocset.3c			\
 	 	priv_basicset.3c			\
 	 	priv_copyset.3c				\
+	 	priv_defaultset.3c			\
 	 	priv_delset.3c				\
 	 	priv_emptyset.3c			\
 	 	priv_fillset.3c				\
@@ -1952,6 +1953,7 @@
 priv_allocset.3c			:= LINKSRC = priv_addset.3c
 priv_basicset.3c			:= LINKSRC = priv_addset.3c
 priv_copyset.3c				:= LINKSRC = priv_addset.3c
+priv_defaultset.3c			:= LINKSRC = priv_addset.3c
 priv_delset.3c				:= LINKSRC = priv_addset.3c
 priv_emptyset.3c			:= LINKSRC = priv_addset.3c
 priv_fillset.3c				:= LINKSRC = priv_addset.3c
--- old/usr/src/man/man3c/priv_addset.3c	2015-12-28 20:02:22.388865722 -0500
+++ new/usr/src/man/man3c/priv_addset.3c	2015-12-28 20:02:22.440669683 -0500
@@ -6,8 +6,8 @@
 .TH PRIV_ADDSET 3C "Sep 08, 2015"
 .SH NAME
 priv_addset, priv_allocset, priv_copyset, priv_delset, priv_emptyset,
-priv_basicset, priv_fillset, priv_freeset, priv_intersect, priv_inverse,
-priv_isemptyset, priv_isequalset, priv_isfullset, priv_ismember,
+priv_basicset, priv_defaultset, priv_fillset, priv_freeset, priv_intersect,
+priv_inverse, priv_isemptyset, priv_isequalset, priv_isfullset, priv_ismember,
 priv_issubset, priv_union \-
 privilege set manipulation functions
 .SH SYNOPSIS
@@ -45,6 +45,11 @@
 
 .LP
 .nf
+\fBvoid\fR \fBpriv_defaultset\fR(\fBpriv_set_t *\fR\fIsp\fR);
+.fi
+
+.LP
+.nf
 \fBvoid\fR \fBpriv_fillset\fR(\fBpriv_set_t *\fR\fIsp\fR);
 .fi
 
@@ -122,6 +127,10 @@
 The \fBpriv_basicset()\fR function copies the basic privilege set to \fIsp\fR.
 .sp
 .LP
+The \fBpriv_defaultset()\fR function copies the default privilege set to
+\fIsp\fR.
+.sp
+.LP
 The \fBpriv_fillset()\fR function asserts all privileges in \fIsp\fR, including
 the privileges not currently defined in the system.
 .sp
--- old/usr/src/man/man5/privileges.5	2015-12-28 20:02:30.485603565 -0500
+++ new/usr/src/man/man5/privileges.5	2015-12-28 20:02:30.525267321 -0500
@@ -19,13 +19,20 @@
 privileged operations actually needed instead of all (super-user) or no
 privileges (non-zero UIDs). Additionally, a set of previously unrestricted
 operations now requires a privilege; these privileges are dubbed the "basic"
-privileges and are by default given to all processes.
+privileges.
 .sp
 .LP
-Taken together, all defined privileges with the exception of the "basic"
+The "basic" privileges, and certain privileges representing concepts not
+traditionally present are, by default, given to all processes.  These are the
+"default" set of privileges.
+.sp
+.LP
+Taken together, all defined privileges with the exception of the "default"
 privileges compose the set of privileges that are traditionally associated with
 the root user. The "basic" privileges are "privileges" unprivileged processes
-were accustomed to having.
+were accustomed to having, and the "default" privileges are the "basic"
+privileges plus additions that while unprivileged processes aren't accustomed to,
+they should now have.
 .sp
 .LP
 The defined privileges are:
--- old/usr/src/pkg/manifests/system-library.man3c.inc	2015-12-28 20:02:37.251113789 -0500
+++ new/usr/src/pkg/manifests/system-library.man3c.inc	2015-12-28 20:02:37.279008456 -0500
@@ -995,6 +995,7 @@
 link path=usr/share/man/man3c/priv_allocset.3c target=priv_addset.3c
 link path=usr/share/man/man3c/priv_basicset.3c target=priv_addset.3c
 link path=usr/share/man/man3c/priv_copyset.3c target=priv_addset.3c
+link path=usr/share/man/man3c/priv_defaultset.3c target=priv_addset.3c
 link path=usr/share/man/man3c/priv_delset.3c target=priv_addset.3c
 link path=usr/share/man/man3c/priv_emptyset.3c target=priv_addset.3c
 link path=usr/share/man/man3c/priv_fillset.3c target=priv_addset.3c
--- old/usr/src/uts/common/os/cred.c	2015-12-28 20:02:39.182835158 -0500
+++ new/usr/src/uts/common/os/cred.c	2015-12-28 20:02:39.606670086 -0500
@@ -213,7 +213,7 @@
 	kcred->cr_zone = &zone0;
 
 	priv_fillset(&CR_LPRIV(kcred));
-	CR_IPRIV(kcred) = *priv_basic;
+	CR_IPRIV(kcred) = *priv_default; /* XXX: Really needed here? */
 
 	/* Not a basic privilege, if chown is not restricted add it to I0 */
 	if (!rstchown)
--- old/usr/src/uts/common/os/exec.c	2015-12-28 20:02:40.199385849 -0500
+++ new/usr/src/uts/common/os/exec.c	2015-12-28 20:02:40.212847557 -0500
@@ -806,7 +806,7 @@
 			crfree(oldcred);
 
 			if (priv_basic_test >= 0 &&
-			    !PRIV_ISASSERT(&CR_IPRIV(newcred),
+			    !PRIV_ISMEMBER(&CR_IPRIV(newcred),
 			    priv_basic_test)) {
 				pid_t pid = pp->p_pid;
 				char *fn = PTOU(pp)->u_comm;
--- old/usr/src/uts/common/os/policy.c	2015-12-28 20:02:40.763026025 -0500
+++ new/usr/src/uts/common/os/policy.c	2015-12-28 20:02:40.775914525 -0500
@@ -145,10 +145,10 @@
 #define	HAS_ALLZONEPRIVS(cr)	priv_issubset(ZONEPRIVS(cr), &CR_OEPRIV(cr))
 #define	HAS_PRIVILEGE(cr, pr)	((pr) == PRIV_ALL ? \
 					HAS_ALLPRIVS(cr) : \
-					PRIV_ISASSERT(&CR_OEPRIV(cr), pr))
+					PRIV_ISMEMBER(&CR_OEPRIV(cr), pr))
 
 #define	FAST_BASIC_CHECK(cr, priv)	\
-	if (PRIV_ISASSERT(&CR_OEPRIV(cr), priv)) { \
+	if (PRIV_ISMEMBER(&CR_OEPRIV(cr), priv)) { \
 		DTRACE_PROBE2(priv__ok, int, priv, boolean_t, B_FALSE); \
 		return (0); \
 	}
@@ -401,7 +401,7 @@
 	    (!servicing_interrupt() &&
 	    priv_policy_override(cr, priv, allzone, ap) == 0)) {
 		if ((allzone || priv == PRIV_ALL ||
-		    !PRIV_ISASSERT(priv_basic, priv)) &&
+		    !PRIV_ISMEMBER(priv_basic, priv)) &&
 		    !servicing_interrupt()) {
 			PTOU(curproc)->u_acflag |= ASU; /* Needed for SVVS */
 			if (AU_AUDITING())
@@ -449,7 +449,7 @@
 
 	/* Audit success only */
 	if (res && AU_AUDITING() &&
-	    (allzone || priv == PRIV_ALL || !PRIV_ISASSERT(priv_basic, priv)) &&
+	    (allzone || priv == PRIV_ALL || !PRIV_ISMEMBER(priv_basic, priv)) &&
 	    !servicing_interrupt()) {
 		audit_priv(priv, allzone ? ZONEPRIVS(cr) : NULL, 1);
 	}
@@ -972,14 +972,14 @@
 
 	/* Inline the basic privileges tests. */
 	if ((wantmode & VREAD) &&
-	    !PRIV_ISASSERT(&CR_OEPRIV(cr), PRIV_FILE_READ) &&
+	    !PRIV_ISMEMBER(&CR_OEPRIV(cr), PRIV_FILE_READ) &&
 	    priv_policy_va(cr, PRIV_FILE_READ, B_FALSE, EACCES, NULL,
 	    KLPDARG_VNODE, vp, (char *)NULL, KLPDARG_NOMORE) != 0) {
 		return (EACCES);
 	}
 
 	if ((wantmode & VWRITE) &&
-	    !PRIV_ISASSERT(&CR_OEPRIV(cr), PRIV_FILE_WRITE) &&
+	    !PRIV_ISMEMBER(&CR_OEPRIV(cr), PRIV_FILE_WRITE) &&
 	    priv_policy_va(cr, PRIV_FILE_WRITE, B_FALSE, EACCES, NULL,
 	    KLPDARG_VNODE, vp, (char *)NULL, KLPDARG_NOMORE) != 0) {
 		return (EACCES);
--- old/usr/src/uts/common/os/priv.c	2015-12-28 20:02:41.614796468 -0500
+++ new/usr/src/uts/common/os/priv.c	2015-12-28 20:02:41.647232225 -0500
@@ -89,8 +89,16 @@
 #endif
 	rw_init(&privinfo_lock, NULL, RW_DRIVER, NULL);
 
-	PRIV_BASIC_ASSERT(priv_basic);
-	PRIV_UNSAFE_ASSERT(&priv_unsafe);
+	PRIV_BASIC_ADDSET(priv_basic);
+
+	/*
+	 * The "default" set is the basic privileges + any 'default'
+	 * privileges.  with no traditional unix connotations.
+	 */
+	PRIV_BASIC_ADDSET(priv_default);
+	PRIV_DEFAULT_ADDSET(priv_default);
+
+	PRIV_UNSAFE_ADDSET(&priv_unsafe);
 	priv_fillset(&priv_fullset);
 
 	/*
@@ -101,6 +109,7 @@
 	if (alloc_test_priv != 0 &&
 	    (priv_basic_test = priv_getbyname("basic_test", PRIV_ALLOC)) >= 0) {
 		priv_addset(priv_basic, priv_basic_test);
+		priv_addset(priv_default, priv_basic_test);
 	}
 
 	devpolicy_init();
@@ -480,21 +489,21 @@
 priv_addset(priv_set_t *set, int priv)
 {
 	ASSERT(priv >= 0 && priv < MAX_PRIVILEGE);
-	__PRIV_ASSERT(set, priv);
+	__PRIV_ADDSET(set, priv);
 }
 
 void
 priv_delset(priv_set_t *set, int priv)
 {
 	ASSERT(priv >= 0 && priv < MAX_PRIVILEGE);
-	__PRIV_CLEAR(set, priv);
+	__PRIV_DELSET(set, priv);
 }
 
 boolean_t
 priv_ismember(const priv_set_t *set, int priv)
 {
 	ASSERT(priv >= 0 && priv < MAX_PRIVILEGE);
-	return (__PRIV_ISASSERT(set, priv) ? B_TRUE : B_FALSE);
+	return (__PRIV_ISMEMBER(set, priv) ? B_TRUE : B_FALSE);
 }
 
 #define	PRIV_TEST_BODY(test) \
--- old/usr/src/uts/common/os/priv_defs	2015-12-28 20:02:42.130968023 -0500
+++ new/usr/src/uts/common/os/priv_defs	2015-12-28 20:02:42.161789034 -0500
@@ -308,7 +308,8 @@
 	effective uid is 0.
 	Allows a process to bind arbitrary processes to CPUs.
 
-privilege PRIV_PROC_PRIOUP
+# XXX: This is made default merely for test purposes.  DO NOT LEAVE HERE
+default privilege PRIV_PROC_PRIOUP
 
 	Allows a process to elevate its priority above its current level.
 
--- old/usr/src/uts/common/os/privs.awk	2015-12-28 20:02:42.649605849 -0500
+++ new/usr/src/uts/common/os/privs.awk	2015-12-28 20:02:42.749012854 -0500
@@ -107,7 +107,7 @@
 		priv = toupper($3)
 		if (set[key] != "")
 			set[key] = set[key] ";"
-		set[key] = set[key] "\\\n\t\tPRIV_ASSERT((set), " priv ")"
+		set[key] = set[key] "\\\n\t\tPRIV_ADDSET((set), " priv ")"
 	} else {
 		priv = toupper($2);
 	}
@@ -249,6 +249,8 @@
 		    "	char			privs[" maxprivbytes "];\n" \
 		    "	priv_info_t		sysset;\n" \
 		    "	priv_set_t		basicset;\n" \
+                    "	priv_info_t		defset;\n" \
+		    "	priv_set_t		defaultset;\n" \
 		    "} info = {\n" \
 		    "	{ sizeof (priv_impl_info_t), 0, PRIV_NSET, " \
 			"PRIV_SETSIZE, " npriv ",\n" \
@@ -289,8 +291,11 @@
 		}
 		print "\\0\"," > cfile
 
-		print "\t{ PRIV_INFO_BASICPRIVS, sizeof (info) - " \
-			"offsetof(struct _info, sysset)},"  > cfile
+		print "\t{ PRIV_INFO_BASICPRIVS, offsetof (struct _info, defset) - " \
+		    "offsetof(struct _info, sysset)},"  > cfile
+                print "\t{ 0 },\n" > cfile
+                print "\t{ PRIV_INFO_DEFAULTPRIVS, sizeof (info) - " \
+                    "offsetof(struct _info, defset)}" > cfile
 
 		print "};\n" > cfile
 
@@ -312,6 +317,7 @@
 		print "size_t privinfosize = sizeof (info);" > cfile
 		print "char *priv_str = info.privs;" > cfile
 		print "priv_set_t *priv_basic = &info.basicset;" > cfile
+                print "priv_set_t *priv_default = &info.defaultset;" > cfile
 		print "priv_impl_info_t *priv_info = &info.impl_info;" > cfile
 		print "priv_info_names_t *priv_ninfo = " \
 			"(priv_info_names_t *)&info.privtype;" > cfile
@@ -340,6 +346,7 @@
 		print "extern size_t privinfosize;" > privhfile
 		print "extern char *priv_str;" > privhfile
 		print "extern struct priv_set *priv_basic;" > privhfile
+                print "extern struct priv_set *priv_default;" > privhfile
 		print "extern struct priv_impl_info *priv_info;" > privhfile
 		print "extern struct priv_info_names *priv_ninfo;" > privhfile
 
@@ -357,7 +364,7 @@
 
 		# Special privilege categories.
 		for (s in set)
-			print "\n#define\tPRIV_" s "_ASSERT(set)" set[s] \
+			print "\n#define\tPRIV_" s "_ADDSET(set)" set[s] \
 				> privhfile
 
 		print "\n#endif /* _KERNEL */" > privhfile
--- old/usr/src/uts/common/sys/priv.h	2015-12-28 20:02:43.243769385 -0500
+++ new/usr/src/uts/common/sys/priv.h	2015-12-28 20:02:43.270796404 -0500
@@ -183,6 +183,7 @@
 #define	PRIV_INFO_PRIVNAMES		0x0002
 #define	PRIV_INFO_BASICPRIVS		0x0003
 #define	PRIV_INFO_FLAGS			0x0004
+#define	PRIV_INFO_DEFAULTPRIVS		0x0005
 
 /*
  * Special "privileges" used to indicate special conditions in privilege
--- old/usr/src/uts/common/sys/priv_impl.h	2015-12-28 20:02:44.228038041 -0500
+++ new/usr/src/uts/common/sys/priv_impl.h	2015-12-28 20:02:44.241868222 -0500
@@ -27,8 +27,6 @@
 #ifndef	_SYS_PRIV_IMPL_H
 #define	_SYS_PRIV_IMPL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/priv_const.h>
 #include <sys/priv.h>
 
@@ -96,23 +94,23 @@
 #define	privword(n)	((n)/__NBWRD)
 
 /*
- * PRIV_ASSERT(a, b) sets privilege "b" in privilege set "a".
- * PRIV_CLEAR(a,b) clears privilege "b" in privilege set "a".
- * PRIV_ISASSERT tests if privilege 'b' is asserted in privilege set 'a'.
+ * PRIV_ADDSET(a, b) sets privilege "b" in privilege set "a".
+ * PRIV_DELSET(a, b) clears privilege "b" in privilege set "a".
+ * PRIV_ISMEMBER(a, b) tests if privilege 'b' is asserted in privilege set 'a'.
  */
 
-#define	__PRIV_ASSERT(a, b)	((a)->pbits[privword(b)] |= privmask(b))
-#define	__PRIV_CLEAR(a, b)	((a)->pbits[privword(b)] &= ~privmask(b))
-#define	__PRIV_ISASSERT(a, b)	((a)->pbits[privword(b)] & privmask(b))
+#define	__PRIV_ADDSET(a, b)	((a)->pbits[privword(b)] |= privmask(b))
+#define	__PRIV_DELSET(a, b)	((a)->pbits[privword(b)] &= ~privmask(b))
+#define	__PRIV_ISMEMBER(a, b)	((a)->pbits[privword(b)] & privmask(b))
 
 #ifdef DEBUG
-#define	PRIV_CLEAR(a, b)	priv_delset((a), (b))
-#define	PRIV_ASSERT(a, b)	priv_addset((a), (b))
-#define	PRIV_ISASSERT(a, b)	priv_ismember((a), (b))
+#define	PRIV_DELSET(a, b)	priv_delset((a), (b))
+#define	PRIV_ADDSET(a, b)	priv_addset((a), (b))
+#define	PRIV_ISMEMBER(a, b)	priv_ismember((a), (b))
 #else
-#define	PRIV_CLEAR(a, b)	__PRIV_CLEAR((a), (b))
-#define	PRIV_ASSERT(a, b)	__PRIV_ASSERT((a), (b))
-#define	PRIV_ISASSERT(a, b)	__PRIV_ISASSERT((a), (b))
+#define	PRIV_DELSET(a, b)	__PRIV_DELSET((a), (b))
+#define	PRIV_ADDSET(a, b)	__PRIV_ADDSET((a), (b))
+#define	PRIV_ISMEMBER(a, b)	__PRIV_ISMEMBER((a), (b))
 #endif
 
 #endif /* _KERNEL */
--- old/usr/src/uts/common/sys/tsol/priv.h	2015-12-28 20:02:46.443699357 -0500
+++ new/usr/src/uts/common/sys/tsol/priv.h	2015-12-28 20:02:46.458006317 -0500
@@ -26,8 +26,6 @@
 #ifndef	_SYS_TSOL_PRIV_H
 #define	_SYS_TSOL_PRIV_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/priv.h>
 
 #ifdef	__cplusplus
@@ -41,6 +39,9 @@
 
 /*
  * Privilege macros.
+ *
+ * These names are here for compatibility reasons, and thus do not match
+ * priv_impl.h
  */
 
 /*
--- old/usr/src/uts/common/syscall/ppriv.c	2015-12-28 20:02:47.208941262 -0500
+++ new/usr/src/uts/common/syscall/ppriv.c	2015-12-28 20:02:47.222139635 -0500
@@ -187,7 +187,7 @@
 	 * empty. That is not portable.
 	 */
 	if ((type == PRIV_EFFECTIVE || type == PRIV_PERMITTED) &&
-	    priv_basic_test >= 0 && !PRIV_ISASSERT(target, priv_basic_test)) {
+	    priv_basic_test >= 0 && !PRIV_ISMEMBER(target, priv_basic_test)) {
 		proc_t *p = curproc;
 		pid_t pid = p->p_pid;
 		char *fn = PTOU(p)->u_comm;
